Skip to main content
GET
/
v1
/
ramp
/
quotes
/
prospective
curl
curl -X GET "https://api.services.payward.com/v1/ramp/quotes/prospective?in_asset_symbol=USD&in_asset_type=fiat&in_method=credit_card&in_amount=1000.00&out_asset_symbol=BTC&out_asset_type=crypto&out_method=Bitcoin&country=GB&affiliate_fee_bps=250" \
  -H "API-Key: $PWS_API_KEY" \
  -H "API-Nonce: $PWS_API_NONCE" \
  -H "API-Sign: $PWS_API_SIGN"
{
  "data": {
    "spend": {
      "asset": {
        "symbol": "USD",
        "type": "fiat"
      },
      "total": "1015.00",
      "subtotal": "1000.00",
      "fee": "10.00",
      "deposit_fee": "5.00",
      "affiliate_fee": "2.50",
      "withdrawal_fee": null
    },
    "receive": {
      "asset": {
        "symbol": "BTC",
        "type": "crypto"
      },
      "total": "0.01587302",
      "subtotal": "0.01587302",
      "fee": null,
      "deposit_fee": null,
      "affiliate_fee": null,
      "withdrawal_fee": "0.00010000"
    },
    "unit_price": {
      "asset": {
        "symbol": "BTC",
        "type": "crypto"
      },
      "denomination_asset": {
        "symbol": "USD",
        "type": "fiat"
      },
      "unit_price": "63000.00"
    }
  }
}

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

Query Parameters

in_asset_symbol
string
required

Asset being deposited (input asset / fiat side). Use GET /v1/ramp/fiat-currencies to discover supported fiat currencies. Ticker symbol of an asset (e.g. BTC, USDC, EUR).

Required string length: 3 - 16
Example:

"BTC"

in_asset_type
enum<string>
default:fiat

Classification of the in asset. Pair with in_asset_symbol to disambiguate when the same ticker exists across asset classes (e.g. USDC as stablecoin vs crypto). Defaults to fiat.

Available options:
fiat,
crypto,
stablecoin,
xstock
in_method
string
required

Funding method used for the deposit. Use GET /v1/ramp/payment-methods to discover supported payment methods.

in_amount
string<decimal128>
required

Amount to deposit (input amount).

Required string length: 1 - 64
Pattern: ^-?[0-9]+(\.[0-9]+)?$
Example:

"1.23"

out_asset_symbol
string
required

Asset being received (output asset / crypto side). Use GET /v1/ramp/buy/crypto to discover supported cryptocurrency assets. Ticker symbol of an asset (e.g. BTC, USDC, EUR).

Required string length: 3 - 16
Example:

"BTC"

out_asset_type
enum<string>
default:crypto

Classification of the out asset. Pair with out_asset_symbol to disambiguate when the same ticker exists across asset classes (e.g. USDC as stablecoin vs crypto). Defaults to crypto.

Available options:
fiat,
crypto,
stablecoin,
xstock
out_method
string
required

Withdrawal method for the cryptocurrency asset. Use GET /v1/ramp/buy/crypto to discover available withdrawal methods for each cryptocurrency asset.

country
string
required

ISO 3166-1 alpha-2 country code. Use GET /v1/ramp/countries to discover supported values.

Maximum string length: 2
subdivision
string

ISO 3166-2 subdivision code suffix (e.g., CA for California when country is US). Use GET /v1/ramp/countries to discover supported values.

affiliate_fee_bps
string<bps>

Affiliate fee in basis points to attribute to the partner (0-10000 where 100 = 1%). This fee is additive to the platform fee, increasing the total fee charged to the user. The resulting affiliate_fee in the response reflects the partner's portion of the total fee. Basis points represented as a string. Range 0-10000 where 100 = 1%.

Pattern: ^\d{1,5}$
Example:

"250"

Response

Response

data
object
required